<template>
<div class="modal inmodal" id="unit_of_measure_modal">
    <div class="modal-dialog">
        <div class="modal-content animated fadeIn">
            <div class="ibox-title">
                <h5>Unit Of Measure Form</h5>
            </div>
            <!-- /.ibox-title -->

            <div class="ibox-content" v-bind:class="{ 'sk-loading': modal.pause }">
                <div class="sk-spinner sk-spinner-wave">
                    <div class="sk-rect1"></div>
                    <div class="sk-rect2"></div>
                    <div class="sk-rect3"></div>
                    <div class="sk-rect4"></div>
                    <div class="sk-rect5"></div>
                </div>

                <div class="row">
                    <input type="hidden"  v-model="modal.data.id">
                    <div class="col-sm-12 col-md-12 col-lg-12"
                            v-bind:class="{ 'has-error': modal.errors.code  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Code : </label>
                            <input class="form-control"  v-model="modal.data.code">

                            <div v-if="modal.errors.code">
                                <span class="help-block" v-for="error in modal.errors.code" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <!-- Base -->
                    <div class="col-sm-12 col-md-6 col-lg-6"
                            v-bind:class="{ 'has-error': modal.errors.base_qty  }"
                    >
                        <div class="form-group">
                            <label>Base Qty : </label> 
                            <input class="form-control" type="number" v-model="modal.data.base_qty">
                            
                            <div v-if="modal.errors.base_qty">
                                <span class="help-block" v-for="error in modal.errors.base_qty" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-12 col-md-6 col-lg-6"
                            v-bind:class="{ 'has-error': modal.errors.base_unit  }"
                    >
                        <div class="form-group">
                            <label>Base Unit : </label> 
                            <input class="form-control"  v-model="modal.data.base_unit">
                            
                            <div v-if="modal.errors.base_unit">
                                <span class="help-block" v-for="error in modal.errors.base_unit" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <!-- Equal -->
                    <div class="col-sm-12 col-md-6 col-lg-6"
                            v-bind:class="{ 'has-error': modal.errors.equal_qty  }"
                    >
                        <div class="form-group">
                            <label>Equal Qty : </label> 
                            <input class="form-control" type="number" v-model="modal.data.equal_qty">
                            
                            <div v-if="modal.errors.equal_qty">
                                <span class="help-block" v-for="error in modal.errors.equal_qty" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-12 col-md-6 col-lg-6"
                            v-bind:class="{ 'has-error': modal.errors.equal_unit  }"
                    >
                        <div class="form-group">
                            <label>Equal Unit : </label> 
                            <input class="form-control"  v-model="modal.data.equal_unit">
                            
                            <div v-if="modal.errors.equal_unit">
                                <span class="help-block" v-for="error in modal.errors.equal_unit" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.ibox-content -->
            <div class="ibox-footer">
              <div class="pull-right">
                <button type="button" class="btn btn-white btn-sm " data-dismiss="modal">
                  Close
                </button>

                <button @click="save()" 
                        :disabled="modal.pause_save"
                        class="btn btn-flat btn-primary btn-sm"> 
                  Save
                </button>
              </div>
              <div>&nbsp;<br>&nbsp;</div>
            </div>
            <!-- /.ibox-footer -->
        </div>
        <!-- /.modal-content animated flipInY -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal inmodal -->

</template>

<script>
export default {
    props: [
        'modal'
    ],
    methods: {
        save() {
            this.$emit('save', this.modal.data)
        }
    }
}
</script>
